### Constructor

# Foundry Context new_for_user

#### Declaration [src]

    DexFuture*
    foundry_context_new_for_user (
      DexCancellable* cancellable
    )

#### Description

No description available.

#### Parameters

`cancellable`

  Type: `DexCancellable`

  Optional cancellable to use when awaiting to propagate work cancellation.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `DexFuture`

No description available.

The caller of the function takes ownership of the data, and is responsible for freeing it.